Subject: Re: bug#40693: 28.0.50; json-encode-alist changes alist

From: Paul Eggert <[email-masked]>
Date: Sun, 19 Apr 2020 17:32:12 -0700

On 4/19/20 5:25 PM, Michael Heerdegen wrote:
> This can be confused with variables declared with `defconst' - these are
> declared constants but it is possible to change their bindings.  You are
> speaking about self-evaluating symbols like nil and t, right?

Yes, and this includes symbols that start with : in the initial obarray (though 
there's a weird exception for (set :foo :foo)).

How about if we change "Modifying a constant symbol signals an error..." to 
"Changing a self-evaluating symbol's value signals an error..."?